This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 163940 - chmod works wrong
chmod works wrong
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 02:43 EDT by michael mosmann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 05:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description michael mosmann 2005-07-22 02:43:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
chmod set wrong permission under different users

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31

How reproducible:
Always

Steps to Reproduce:
1.) mkdir testperm
2.) chmod +rwx testperm
3.) su
4.) chmod -rwx testperm
5.) ls -al



Actual Results:  d----w----    2 mosmann mosmann      4096 22. Jul 08:26 testperm


Expected Results:  d---------    2 mosmann mosmann      4096 22. Jul 08:26 testperm


Additional info:

does work under rh9
Comment 1 Tim Waugh 2005-07-22 05:37:50 EDT
This is working as documented:

       A combination of the letters ‘ugoa’ controls which users’ access to the
       file  will  be  changed:  the  user who owns it (u), other users in the
       file’s group (g), other users not in the file’s group (o), or all users
       (a).   If  none of these are given, the effect is as if ‘a’ were given,
       *but bits that are set in the umask are not affected*.

(my emphasis)

Note You need to log in before you can comment on or make changes to this bug.